package org.xbib.files.ftp.fs.spi;

import org.xbib.files.FileService;
import org.xbib.files.FileServiceProvider;

import java.net.URI;
import java.util.Map;

public class FTPSFileServiceProvider implements FileServiceProvider {

    @Override
    public FileService provide(URI uri, Map<String, ?> env) {
        return uri.isAbsolute() && uri.getScheme().equals("ftps") ?  new FTPSFileService(uri, env) : null;
    }
}
